/*
 * dipc.c
 *
 * part of dipcd source code
 *
 * Copyright (C) Kamran Karimi
 */

#include <linux/unistd.h>
#ifdef __GLIBC__
#include <unistd.h>
#endif

/* this should be the same as the value defined in linux/ipc.h; or asm/ipc.h */
#define DIPC 25 /* DIPC ioctl */

/* this is the DIPC system call */
#ifdef __GLIBC__
int dipc(int first, int cmd, void *ptr)
{
 return syscall(__NR_ipc,DIPC,first,cmd,ptr);
}
#else
 _syscall4(int,ipc,int,t,int,r,int,s,int *,u); 
 
int dipc(int first, int cmd, void *ptr)
{
 return ipc(DIPC, first, cmd, ptr);
} 
#endif
